<?php

namespace AutoAdmin\Bundle\Content\Routing;

interface ContentAutoRouterInterface
{
    public function supports(?object $subject): bool;

    public function buildUrl(ContentRouter $contentRouter, object $subject, ?string $route, array $parameters = [], array $options = []): string;
}
